require 'dokanfs'

class HelloFS
  def contents path
    ["hello.txt"]
  end

  def file? path
    path  =~ /hello.txt/
  end

  def directory? path
    path == "/"
  end

  def read_file path
    "hello world"
  end

  def size path
    "hello world".length
  end
end

DokanFS.set_root(HelloFS.new)
DokanFS.mount_under("r")
DokanFS.run